# func.py

def square(x):
    return x * x

def recip(x):
    return 1/x

def compose(f, g):
    def h(x):
        return f(g(x))
    return h

def sum_terms(start, stop, term):
    total = 0
    for n in range(start, stop+1):
        total += term(n)     # Higher order functions
    return total

result = sum_terms(1, 100, compose(recip, square))
print(result)
